Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 07-06-08, 12:44 AM   #1
JasonM
Ubuntu User
 
Join Date: Dec 2007
Location: Okinawa, Japan
Posts: 11
Default Can not install 177.13 (-rt kernel?)

(2.6.24-19-rt #1 SMP PREEMPT RT Wed Jun 18 15:36:32 UTC 2008 x86_64 GNU/Linux)

I can not install the 177.13 drivers. This is the first set of drivers I have not been able to install.

I read on the ubuntu forums that someone else was unable to install them on the realtime kernel? (http://ubuntuforums.org/showthread.php?t=840562)

Please advise!
Attached Files
File Type: log nvidia-installer.log (8.1 KB, 182 views)
JasonM is offline   Reply With Quote
Old 07-06-08, 06:56 AM   #2
tilseboy
Registered User
 
Join Date: Aug 2007
Posts: 36
Unhappy Re: Can not install 177.13 (-rt kernel?)

Hello,

i have the same problem. I know that you officially do not support rt kernels.
But it worked perfect until 173.14.05.
Is it a big problem to get the installer working on rt systems?

Greetings from germany
Michael
Attached Files
File Type: log nvidia-installer.log (9.3 KB, 171 views)
tilseboy is offline   Reply With Quote
Old 07-07-08, 07:23 AM   #3
tilseboy
Registered User
 
Join Date: Aug 2007
Posts: 36
Exclamation Re: Can not install 177.13 (-rt kernel?)

It would be nice to hear something from nvidia about the rt issue.
I was very happy to use the nvidia driver.
But there are a lot of performance problems and I want to upgrade if possible.
At the moment I don't need official rt support. I only need a statement if this is only the installer or the new driver and if this will be fixed or not.



Thanks a lot
Michael
tilseboy is offline   Reply With Quote
Old 07-07-08, 02:08 PM   #4
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: Can not install 177.13 (-rt kernel?)

If you want to use 173.14.xx and other recent drivers with current Linux/-rt* kernels, you can try the attached patch (at your own risk). With the patch applied, the driver worked fine in the limited testing I did.
Attached Files
File Type: txt NVIDIA_kernel-173.14.09-2512683.diff.txt (1.2 KB, 1266 views)
zander is offline   Reply With Quote
Old 07-07-08, 02:48 PM   #5
tilseboy
Registered User
 
Join Date: Aug 2007
Posts: 36
Thumbs up Re: Can not install 177.13 (-rt kernel?)

Thanks a lot :-)
tilseboy is offline   Reply With Quote
Old 07-08-08, 02:01 PM   #6
tilseboy
Registered User
 
Join Date: Aug 2007
Posts: 36
Talking Re: Can not install 177.13 (-rt kernel?)

Hello,

thanks a lot. It worked perfect :-)

It was not instantly clear to me how to apply the patch...so for everyone else:
(Perhaps everybody knows it besides me....)

1. Download last driver, than:
Code:
chmod +x NVIDIA-Linux-x86-177.13-pkg1.run
2. Extract the driver:
Code:
./NVIDIA-Linux-x86-177.13-pkg1.run -x
3. cd into created dir:
Code:
cd NVIDIA-Linux-x86-177.13-pkg1
4. apply patch:
Code:
cat NVIDIA_kernel-173.14.09-2512683.diff.txt | patch -p0 2>&1
5. run the installer
Code:
./nvidia-installer
Greets
Michael
tilseboy is offline   Reply With Quote
Old 07-08-08, 02:21 PM   #7
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: Can not install 177.13 (-rt kernel?)

You can actually just do the following:
# sh NVIDIA-Linux-x86-177.13-pkg1.run --apply-patch NVIDIA_kernel-173.14.09-2512683.diff.txt
# sh NVIDIA-Linux-x86-177.13-pkg1-custom.run
zander is offline   Reply With Quote
Old 07-08-08, 05:05 PM   #8
tilseboy
Registered User
 
Join Date: Aug 2007
Posts: 36
Wink Re: Can not install 177.13 (-rt kernel?)

Okay, this is shorter...
tilseboy is offline   Reply With Quote

Old 07-10-08, 03:14 PM   #9
craigcummings
Registered User
 
Join Date: Jul 2008
Posts: 2
Default Re: Can not install 177.13 (-rt kernel?)

Hi there,

I am trying to install the 177.13 nvidia driver manually using the method described in this thread, with and without the patch. The kernel module compiles after I give the installer the path to the linux headers. However, after building, I get the error:

Unable to load the kernel module 'nvidia.ko'

The log file lists a kernel module load error:

insmod: error inserting './usr/src/nv/nvidia.ko': -1 Invalid module format

I get the same result if I use the nvidia 173.14 installer, with and without the patch.

Here are my system stats:

Intel x86_64
Ubuntu 8.04, 2.6.24-19 or 2.6.24.16 kernel
GeForce 9800 GX2
gcc 4.2.3

Thanks for your help.
craigcummings is offline   Reply With Quote
Old 07-10-08, 03:32 PM   #10
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: Can not install 177.13 (-rt kernel?)

@craigcummings: chances are this is a toolchain or similar problem; please take a look at the output of `dmesg` following the module load failure to get more information on why the kernel rejected the module.
zander is offline   Reply With Quote
Old 07-10-08, 03:43 PM   #11
craigcummings
Registered User
 
Join Date: Jul 2008
Posts: 2
Default Re: Can not install 177.13 (-rt kernel?)

Hi Zander,

Thanks for the quick reply. I did a little more searching and found that my problem was due to a mismatch between my kernel version and the header files that I was giving to the nvidia installer. I am running 2.6.24-19-server and I was linking to 2.6.24-19-generic headers. I was able to solve the problem by installing the linux-headers-2.6.24-19-server package and pointing the nvidia installer to those files. The installer reported a successful installation. Now let's see what happens...

and we're golden! Thanks to all for providing such an informative forum.

Cheers,

Craig
craigcummings is offline   Reply With Quote
Old 09-02-08, 01:38 PM   #12
gerryg
Registered User
 
Join Date: Dec 2002
Location: Graz/Austria
Posts: 2
Default Re: Can not install 177.13 (-rt kernel?)

Hi there,

I'm having the same problem with the 96.43.07 driver (and kernel 2.6.26.3-rt3).
Would there be a patch also for this driver version?

Thx,
Gerald
gerryg is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Mageia 2 Cannot Install 71.86.15 for Riva TNT/TNT2 kbulgrien NVIDIA Linux 3 06-29-12 08:27 AM
Corrupted display - 302.17 - Dell Precision T3500 (G98 [Quadro NVS 295]) gbailey NVIDIA Linux 1 06-27-12 10:24 AM
UEFI+Nvidia - NVRM: Your system is not currently configured to drive a VGA console... interzoneuk NVIDIA Linux 0 06-26-12 04:51 AM
xorg locks-up with newest nvidia drivers w/ vdpau. theroot NVIDIA Linux 1 06-24-12 11:04 AM
Crash when logout from X TGL NVIDIA Linux 10 09-13-02 08:22 PM

All times are GMT -5. The time now is 08:04 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.